### Function

# Gio DBusProxy new_for_bus

since: 2.26

#### Declaration

    void
    g_dbus_proxy_new_for_bus (
      GBusType bus_type,
      GDBusProxyFlags flags,
      GDBusInterfaceInfo* info,
      const gchar* name,
      const gchar* object_path,
      const gchar* interface_name,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description

Like `g_dbus_proxy_new()` but takes a `GBusType` instead of a `GDBusConnection`.

`GDBusProxy` is used in this [example][gdbus-wellknown-proxy].

Available since: 2.26

This function completes asynchronously. Use `g_dbus_proxy_new_for_bus_finish()` inside the `GAsyncReadyCallback` to obtain the result of the operation.

#### Parameters

`bus_type`

  Type: `GBusType`

  A `GBusType`.

`flags`

  Type: `GDBusProxyFlags`

  Flags used when constructing the proxy.

`info`

  Type: `GDBusInterfaceInfo`

  A `GDBusInterfaceInfo` specifying the minimal interface that `proxy` conforms to or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`name`

  Type: `const gchar*`

  A bus name (well-known or unique).

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`object_path`

  Type: `const gchar*`

  An object path.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`interface_name`

  Type: `const gchar*`

  A D-Bus interface name.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`cancellable`

  Type: `GCancellable`

  A `GCancellable` or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`callback`

  Type: `GAsyncReadyCallback`

  Callback function to invoke when the proxy is ready.

`user_data`

  Type: `gpointer`

  User data to pass to `callback`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.